%define upstream_name    Hash-NoRef
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24

Summary:    A HASH that store values without increase the reference count (weak references)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This HASH will store it's values without increase the reference count. This
can be used to store objects but without interfere in the DESTROY
mechanism, since the reference in this HASH won't count.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.30.0-24.mga10
+ Revision: 2088059
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 0.30.0-23.mga10
+ Revision: 2011129
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.30.0-22.mga9
+ Revision: 1861913
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.30.0-21.mga9
+ Revision: 1795785
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.30.0-20.mga9
+ Revision: 1726710
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.30.0-19.mga8
+ Revision: 1594805
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.30.0-18.mga8
+ Revision: 1529504
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.30.0-17.mga8
+ Revision: 1433652
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.30.0-16.mga7
+ Revision: 1293190
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.30.0-15.mga7
+ Revision: 1249482
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.30.0-14.mga7
+ Revision: 1164733
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.30.0-13.mga7
+ Revision: 1148946
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.30.0-12.mga7
+ Revision: 1126454
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-11.mga6
+ Revision: 1028200
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-10.mga6
+ Revision: 957459
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.30.0-9.mga6
+ Revision: 843294
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-8.mga5
+ Revision: 739971
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-7.mga5
+ Revision: 685030
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-6.mga5
+ Revision: 631277
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-5.mga4
+ Revision: 524106
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.30.0-4.mga4
+ Revision: 430080
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-3.mga3
+ Revision: 368390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-2.mga3
+ Revision: 250754
- rebuild for perl 5.16

* Thu Sep 15 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 143981
- imported package perl-Hash-NoRef


* Thu Sep 15 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
